Subject: Re:bug#51821: 29.0.50; Suggest add variable or frame parameter: line-height

From: tumashu <[email-masked]>
Date: Fri, 19 Nov 2021 16:54:24 +0800 (CST)

At 2021-11-19 16:25:05, "Eli Zaretskii" <[email-masked]> wrote:
>> Date: Fri, 19 Nov 2021 15:26:21 +0800 (CST)
>> From: tumashu  <[email-masked]>
>> Cc: "Po Lu" <[email-masked]>, "Lars Ingebrigtsen" <[email-masked]>, 
>> 	[email-masked]
>> 
>> 1. (setq line-height-factor 1.5)
>> 2. M-x
>> 3. yank "你好"
>> 4. See minibuffer's height change or not.
>
>Does it change just once, or does it keep changing after that?

every time when I M-x and insert Chinese char.

>
>If it changes just once, it's not a significant problem, since the
>setting of line-height-factor is normally expected to be in the init
>file, and so you will not see this one-time change.
>
>> maybe the height should split two parts, ascent and decent: 
>> 
>>    real-ascent = ascent * line-height-factor
>>    real-decent = decent * line-height-factor
>> 
>> The patch seem to not change decent.
>
>Why do you want to change the descent?

Ascii font's baseline shoud align to Chinese font's baseline, I think.

any other way to achive this, if we do not change descent? I do not know.
>
>Anyway, if we change the descent, the baseline of ASCII characters
>will be higher, which I think will look ugly on display.  Are you
>familiar with any other application which does that, i.e. displays
>different scripts with different baseline?

See attach baseline.png,  Chinese and Ascii align baseline in most situation.

>
>You show an image of the mode line, but don't tell what is the problem
>with it.  Did you try displaying Chinese characters there?  Or what
>else is the problem with it?
>
>